For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • Getting Started
        • Catalog Data
        • ML Models
        • Request Recommendations
        • Search
        • Shopper Events
        • Stencil Headless Catalyst
        • API Reference
              • POSTUpdate Google Vertex Ai Settings
              • DELDelete Google Vertex Ai Settings
Dev Portal
LogoLogo
Closed Beta ProgramsProduct RecommendationsAPI ReferenceProduct Recommendations

Delete Google Vertex Ai Settings

Beta
DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/data-solutions/google-ai
DELETE
/stores/:store_hash/v3/data-solutions/google-ai
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/data-solutions/google-ai \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d ":{"
200Deleted
1{}
Remove your connection to Google Vertex AI.
Was this page helpful?
Previous

Update Google Vertex Ai Settings

Next

Overview

Built with

Authentication

X-Auth-Tokenstring

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
channel_idintegerOptional

Response

OK